<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.cubic.cmcjava</groupId>
  <artifactId>CMCJava</artifactId>
  <version>1.0.0</version>
  <packaging>jar</packaging>

  <name>CMCJava</name>
  <url>https://cubicuswwwt.jfrog.io/cubicuswwwt</url>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven-surefire-plugin.version>2.20.1</maven-surefire-plugin.version>
    <maven.compiler.target>1.8</maven.compiler.target>
    <maven.compiler.source>1.8</maven.compiler.source>
    <testset>TestNG.xml</testset>
  </properties>

  <dependencies>
  	<dependency>
  		<groupId>log4j</groupId>
  		<artifactId>log4j</artifactId>
  		<version>1.2.17</version>
  	</dependency>
  	<dependency>
  		<groupId>org.testng</groupId>
  		<artifactId>testng</artifactId>
  		<version>6.11</version>
  	</dependency>
  	<dependency>
  		<groupId>org.seleniumhq.selenium</groupId>
  		<artifactId>selenium-java</artifactId>
  		<version>3.0.1</version>
  	</dependency>
  	<dependency>
  		<groupId>org.seleniumhq.selenium</groupId>
  		<artifactId>selenium-support</artifactId>
  		<version>3.0.1</version>
  	</dependency>
  	<dependency>
  		<groupId>org.seleniumhq.selenium</groupId>
  		<artifactId>selenium-server</artifactId>
  		<version>3.0.1</version>
  	</dependency>
  	<dependency>
  		<groupId>com.google.inject</groupId>
  		<artifactId>guice</artifactId>
  		<version>3.0</version>
  		<scope>test</scope>
  	</dependency>
  	<dependency>
  		<groupId>mongo-java-driver</groupId>
  		<artifactId>mongo-java-driver</artifactId>
  		<version>2.10.1</version>
  	</dependency>
  	<dependency>
  		<groupId>org.uncommons</groupId>
  		<artifactId>reportng</artifactId>
  		<version>1.1.4</version>
  	</dependency>
  	<dependency>
  		<groupId>javax.mail</groupId>
  		<artifactId>javax.mail-api</artifactId>
  		<version>1.5.1</version>
  	</dependency>
  	<dependency>
  		<groupId>com.sun.mail</groupId>
  		<artifactId>javax.mail</artifactId>
  		<version>1.5.5</version>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.commons</groupId>
  		<artifactId>commons-email</artifactId>
  		<version>1.2</version>
  	</dependency>
  	<dependency>
  		<groupId>postgresql</groupId>
  		<artifactId>postgresql</artifactId>
  		<version>9.1</version>
  	</dependency>
  	<dependency>
  		<groupId>ojdbc6</groupId>
  		<artifactId>ojdbc6</artifactId>
  		<version>11.2.0.3</version>
  	</dependency>
  	<dependency>
  		<groupId>com.jayway.restassured</groupId>
  		<artifactId>rest-assured</artifactId>
  		<version>2.4.1</version>
  	</dependency>
  	<dependency>
  		<groupId>org.hamcrest</groupId>
  		<artifactId>hamcrest-all</artifactId>
  		<version>1.3</version>
  	</dependency>
  	<dependency>
  		<groupId>junit</groupId>
  		<artifactId>junit</artifactId>
  		<version>4.11</version>
  	</dependency>
  	<dependency>
  		<groupId>pl.pragmatists</groupId>
  		<artifactId>JUnitParams</artifactId>
  		<version>1.0.4</version>
  	</dependency>
  	<dependency>
  		<groupId>io.rest-assured</groupId>
  		<artifactId>json-path</artifactId>
  		<version>3.0.0</version>
  	</dependency>
  	<dependency>
  		<groupId>io.rest-assured</groupId>
  		<artifactId>json-schema-validator</artifactId>
  		<version>3.0.0</version>
  	</dependency>
  	<dependency>
  		<groupId>com.jayway.jsonpath</groupId>
  		<artifactId>json-path</artifactId>
  		<version>0.9.1</version>
  	</dependency>
  	<dependency>
  		<groupId>org.codehaus.groovy</groupId>
  		<artifactId>groovy-all</artifactId>
  		<version>2.3.5</version>
  	</dependency>
  	<dependency>
  		<groupId>json</groupId>
  		<artifactId>json</artifactId>
  		<version>20090211</version>
  	</dependency>
  	<dependency>
  		<groupId>gson</groupId>
  		<artifactId>gson</artifactId>
  		<version>1.7.1</version>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.httpcomponents</groupId>
  		<artifactId>httpclient</artifactId>
  		<version>4.3.4</version>
  	</dependency>
  	<dependency>
  		<groupId>commons-collections</groupId>
  		<artifactId>commons-collections</artifactId>
  		<version>3.0</version>
  	</dependency>
  	<dependency>
  		<groupId>com.fasterxml.jackson.core</groupId>
  		<artifactId>jackson-annotations</artifactId>
  		<version>2.9.2</version>
  	</dependency>
  </dependencies>

  <distributionManagement>
    <repository>
      <id>central</id>
      <name>CUBICUSWWWT-releases</name>
      <url>https://cubicuswwwt.jfrog.io/cubicuswwwt/ww-test-us-virtual/</url>
    </repository>
    <snapshotRepository>
      <id>snapshots</id>
      <name>CUBICUSWWWT-snapshots</name>
      <url>https://cubicuswwwt.jfrog.io/cubicuswwwt/ww-test-us-virtual/</url>
    </snapshotRepository>
  </distributionManagement>

  <build>
	<plugins>
		<plugin>
			<groupId>org.apache.maven.plugins</groupId>
			<artifactId>maven-surefire-plugin</artifactId>
			<version>${maven-surefire-plugin.version}</version>
			<configuration>
				<suiteXmlFiles>
					<suiteXmlFile>${testset}</suiteXmlFile>
				</suiteXmlFiles>
			</configuration>
		</plugin>
	</plugins>
  </build>
	
	<description>CMC Maven project.</description>
</project>
